<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');
jimport('joomla.html.toolbar');

/**
* HTML view class for the mapycz component back-end interface.
*/
class mapyczViewMarker extends JViewLegacy {

	protected $map;
	protected $mark;

	function display($tpl = null) {
		
		$document = JFactory::getDocument();
		$document->addStyleSheet('/administrator/components/com_mapycz/assets/css/mapycz.css');
		$document->addStyleSheet('/administrator/templates/bluestork/css/rounded.css');
		
		$this->model = $this->getModel();
		$this->map = $this->model->getMap();
		$this->mark = $this->model->getMark();
		
		JRequest::setVar('hidemainmenu', 1);
		JRequest::setVar('tmpl', 'component');
		
		parent::display($tpl);
	}
	
	function toolbar(){
		$bar = new JToolBar( 'toolbar' );
		$bar->appendButton( 'Standard', 'save', JText::_('MAPYCZ_MARK_SAVE'), 'marker.save', false);
		return $bar->render();
		
	}
	
}
